> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/android-docs/auth-feature/user-profile.md).

# User profile

When a user is authenticated you can see their data on the dashboard.&#x20;

You can also obtain the user profile calling the API

```java
private var listener: MBAuthApiProfileListener
MBurgerAuthTasks.getLoggedUserProfile(applicationContext, listener);
```

This API call will return the profile of the actual authenticated user in the form of a **`MBAuthUser`**, which represents a registered user inside your project, you will find all the information you set in registration, with the “**auxiliar\_data**” field as you sent through the Signup API .

{% hint style="warning" %}
If you call this method before a login you will receive an error because there is no user authenticated, so make sure a user is authenticated before calling this API (you can easily achieve this by calling **`MBCommonMethods.hasLoggedIn(applicationContext).`**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mburger.cloud/android-docs/auth-feature/user-profile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
